package com.steerinfo.dil.service;

import com.steerinfo.dil.model.BmstruckDetailsOrder;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/24 17:34
 * @Version:V2.0
 */
public interface IBmstruckDetailsOrderService {
    /**
     * 展示汽运详单
     * @param mapVal
     * @return
     */
    List<Map<String,Object>> getTruckDetailsOrderList(Map<String,Object> mapVal);

    /**
     * 新增汽运详单
     * @param orderId
     * @return
     */
    int insertSelective(BigDecimal orderId) throws Exception;

    /**
     * 查询最大id
     * @return
     */
    BigDecimal selectMaxId();

    /**
     * 展示汽运实绩
     * @param mapVal
     * @return
     */
    List<Map<String, Object>> getTruckResultList(Map<String, Object> mapVal);

    /**
     * 查询计算因子
     * @param orderId
     * @return
     */
    BigDecimal getFormulaMembers(BigDecimal orderId);

    /**
     * 得到价格id
     * @return
     */
    List<Map<String, Object>> getPriceId();

    /**
     * 得到价格
     * @return
     */
    BigDecimal getPriceValue(BigDecimal priceId);

    /**
     * 得到到厂湿重
     * @param orderId
     * @return
     */
    BigDecimal getNetWeight(BigDecimal orderId);
}
